Package be.fgov.ehealth.genericinsurability.core.v1

# Class InsurabilityItemType

java.lang.Object
be.fgov.ehealth.genericinsurability.core.v1.InsurabilityItemType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:35+02:00", comments="JAXB RI v4.0.5") public class InsurabilityItemType extends Object implements Serializable

Java class for InsurabilityItemType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="InsurabilityItemType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="RegNrWithMut" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}RegNrWithMutType" minOccurs="0"/>
             <element name="Mutuality" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}MutualityType"/>
             <element name="Period" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}PeriodType"/>
             <element name="CT1" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}CTType" minOccurs="0"/>
             <element name="CT2" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}CTType" minOccurs="0"/>
             <element name="PaymentApproval" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="InsurabilityDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InsurabilityItemType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCT1()`
  The "code titulaire 1" required for invoicing.
  `String`
  `getCT2()`
  The "code titulaire 2" required for invoicing.
  `Instant`
  `getInsurabilityDate()`
  The date of the information.
  `String`
  `getMutuality()`
  The code of the insurance organisation
  `String`
  `getPaymentApproval()`
  Element linked to insurablity request of the type "invoicing".
  `PeriodType`
  `getPeriod()`
  The period where the care receiver is covered by the insurance organisation (indicated in the Mutuality element).
  `String`
  `getRegNrWithMut()`
  The registration number of the care receiver with the Mutuality
  `void`
  `setCT1(String value)`
  Sets the value of the ct1 property.
  `void`
  `setCT2(String value)`
  Sets the value of the ct2 property.
  `void`
  `setInsurabilityDate(Instant value)`
  Sets the value of the insurabilityDate property.
  `void`
  `setMutuality(String value)`
  Sets the value of the mutuality property.
  `void`
  `setPaymentApproval(String value)`
  Sets the value of the paymentApproval property.
  `void`
  `setPeriod(PeriodType value)`
  Sets the value of the period property.
  `void`
  `setRegNrWithMut(String value)`
  Sets the value of the regNrWithMut property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InsurabilityItemType

    public InsurabilityItemType()

- ## Method Details

  - ### getRegNrWithMut

    public String getRegNrWithMut()
    The registration number of the care receiver with the Mutuality
    Returns:
      possible object is `String`

  - ### setRegNrWithMut

    public void setRegNrWithMut(String value)
    Sets the value of the regNrWithMut property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getRegNrWithMut()`

  - ### getMutuality

    public String getMutuality()
    The code of the insurance organisation
    Returns:
      possible object is `String`

  - ### setMutuality

    public void setMutuality(String value)
    Sets the value of the mutuality property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getMutuality()`

  - ### getPeriod

    public PeriodType getPeriod()
    The period where the care receiver is covered by the insurance organisation (indicated in the Mutuality element).
    Returns:
      possible object is `PeriodType`

  - ### setPeriod

    public void setPeriod(PeriodType value)
    Sets the value of the period property.
    Parameters:
      `value` - allowed object is `PeriodType`
    See Also:
      - `getPeriod()`

  - ### getCT1

    public String getCT1()
    The "code titulaire 1" required for invoicing.
    Returns:
      possible object is `String`

  - ### setCT1

    public void setCT1(String value)
    Sets the value of the ct1 property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCT1()`

  - ### getCT2

    public String getCT2()
    The "code titulaire 2" required for invoicing.
    Returns:
      possible object is `String`

  - ### setCT2

    public void setCT2(String value)
    Sets the value of the ct2 property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCT2()`

  - ### getPaymentApproval

    public String getPaymentApproval()
    Element linked to insurablity request of the type "invoicing". Not supported for the moment, will never be provided.
    Returns:
      possible object is `String`

  - ### setPaymentApproval

    public void setPaymentApproval(String value)
    Sets the value of the paymentApproval property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getPaymentApproval()`

  - ### getInsurabilityDate

    public Instant getInsurabilityDate()
    The date of the information.
    Returns:
      possible object is `String`

  - ### setInsurabilityDate

    public void setInsurabilityDate(Instant value)
    Sets the value of the insurabilityDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getInsurabilityDate()`